#include "rectangle.h"

/* FYI: rectangles are vec4 structs, divided into two points. */
/* 0 and 1 are x/y of top left vertex, 2 and 3 are x/y of bottom right vertex. */

/* Fetches the origin of a rectangle. */
void
rectangle_origin_get(vec4 self, vec2 origin, OriginType type)
{
	switch (type)
	{
		case ORIGIN_TOP_LEFT:
			origin[0] = self[0];
			origin[1] = self[1];
			break;
		case ORIGIN_TOP_RIGHT:
			origin[0] = self[2];
			origin[1] = self[1];
			break;
		case ORIGIN_BOTTOM_LEFT:
			origin[0] = self[0];
			origin[1] = self[3];
			break;
		case ORIGIN_BOTTOM_RIGHT:
			origin[0] = self[2];
			origin[1] = self[3];
			break;
		case ORIGIN_CENTER:
			origin[0] = self[0] + ((self[2] - self[0]) / 2);
			origin[1] = self[1] + ((self[3] - self[1]) / 2);
			break;
		default:
			break;
	}
}
