#include "triangle.h"

/* Draws a triangle. */
void 
triangle_draw(Renderer* renderer, Shader* shader)
{
	f32 vertices[] = {
	    -0.5f, -0.5f, 0.0f,
	     0.5f, -0.5f, 0.0f,
	     0.0f,  0.5f, 0.0f
	};  

	vao_bind(&renderer->vao);

	vbo_bind(&renderer->vbo);
	renderer->vbo.isDynamic = false;
	vbo_buffer(&renderer->vbo, sizeof(vertices), vertices);

	vertex_attribute_set(0, 3, GL_FLOAT, 3 * sizeof(f32), 0);

	renderer_shader_use(renderer, shader);

	glDrawArrays(GL_TRIANGLES, 0, 3);

	vao_unbind();
}
